# Увеличение размера раздела на диске

Дано: Ubuntu, диск `sda`, с разделом `sda1` 30 Гб и не размеченной областью в 20 гигов. 

Надо: сделать раздел `sda1` 50 Гб, те увеличить раздел на 20 гигов. Перезагружать убунту нельзя
  
Решение:

!!! warning

    Перед тем как начать, делаем бекап всей важной информации!


Первым делом посмотрим какие диски у нас есть в системе

```
sudo fdisk -l
```

Теперь надо удалить текущий раздел диска на 30 гигов и создать новый на 50.
  
```
sudo fdisk /dev/sda
```

Внутри интерактивного режима программы **fdisk** выполняем несколько операций.  
  
Сначала вбиваем **p** - вывод таблицы разделов
  
```
p
```

Затем **d** удаление раздела
  
```
d
```

Далее **n** добавление нового раздела  

```
n
```

Далее указываем какой будет создаваемый раздел

```
Действие команды
e расширенный
p основной раздел (1-4)
```

Указываем как основной раздел, вводим `p`

```
Номер раздела (1-4, по умолчанию 1):
```

Задаем номер раздела или нажимаем Enter чтобы использовать значение по умолчанию (1), если 1 уже занят, то вводим другое значение.

```
Первый сектор (2048-1048575999, по умолчанию 2048):
```

Нажимаем Enter используя значение по умолчанию, но можно и в ручную указать значение первого сектора.

```
Last сектор, +секторы or +size{K,M,G} (2048-1048575999, по умолчанию 1048575999):
```

Нажимаем Enter используя значение по умолчанию, но можно и в ручную указать значение последнего сектора.

После всех проделанных действий вводим `w` что означает сохранить настройки и выйти.

```
Команда (m для справки): w
Таблица разделов была изменена!
Вызывается ioctl() для перечитывания таблицы разделов.
Синхронизируются диски.
```

Далее надо обновить таблицу раздела онлайн, используя **partprobe**. Если программки нет, то нужно установить её (`sudo apt-get install partprobe`).

```
sudo partprobe /dev/sda
```
  
Теперь осталось переопределить размер раздела с помощью программы **resize2fs**. Она сделает это в режиме онлайн. Программа **resize2fs** перезапишет метаданные файловой системы. Для этого используем следующую команду:  
  
```
sudo resize2fs /dev/sda1
```

Теперь убедимся, что размер раздела изменился и теперь у нас 50 Гб.

```
df -h
```